From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-util/typescript-language-server/
Date: Sun, 11 Feb 2024 17:50:35 +0000 (UTC) [thread overview]
Message-ID: <1707586576.85de38e817b1aa94d5fd4590d87ea27f8f73bdeb.davidroman@gentoo> (raw)
commit: 85de38e817b1aa94d5fd4590d87ea27f8f73bdeb
Author: tastytea <gentoo <AT> tastytea <DOT> de>
AuthorDate: Sat Feb 10 13:08:42 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Feb 10 17:36:16 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=85de38e8
dev-util/typescript-language-server: add 4.3.3
Signed-off-by: tastytea <gentoo <AT> tastytea.de>
dev-util/typescript-language-server/Manifest | 1 +
.../typescript-language-server-4.3.3.ebuild | 40 ++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-util/typescript-language-server/Manifest b/dev-util/typescript-language-server/Manifest
index ee63c021bd..85ed07ce2b 100644
--- a/dev-util/typescript-language-server/Manifest
+++ b/dev-util/typescript-language-server/Manifest
@@ -1,2 +1,3 @@
DIST typescript-language-server-3.3.2.tgz 438586 BLAKE2B 839a178b2ec3de9fe60ceecee12fac537c5467cfc51bc647435f651159eea60772731efedf6866617d4835e9eb6ed1fabeb135e58451e9a70652e96e26fd8fa5 SHA512 8f3ba7e770889136e90248b49cffa19396da196fbce9234d955872223d99532e39cd49029e6a1eb56b80b5f451418ae522bf31e10077ca61893eec0341277f7b
DIST typescript-language-server-4.1.2.tgz 486498 BLAKE2B 8aa498e9ce9a95362da4d11fb2096b9080f4b5d89a698936d5ccddf1b0e7f34f78276fc0a57f08a57f86ba059a1578b1a88aff75539a20ee03413e99c2b2ef75 SHA512 4664d052f956990db2d31ec36ce42ec441eda332a55ae870f0d86e2d3ef32fdd2b06399eaa300c0ff0e591ca106e4b7708430cb81c190bed4e6107a5c35e9c14
+DIST typescript-language-server-4.3.3.tgz 488222 BLAKE2B a64bbb600b961ba17cf3e35df8e7aaad4076529e646a5db9b12043aee9ae499e7bd401c1fb98a46c9d21dbf01003c004fe6ad5b1afeb71850c5a8ba888b15b40 SHA512 dd02e3e7b46ef52eb3bf5d2c6b8cf5a40dd3211d51764774e0a7b412ccdb3b87f1e4f2dd9588650bf3ccc70972c65b3dc2b66cef03c2304d51bb4b3519a6f3e1
diff --git a/dev-util/typescript-language-server/typescript-language-server-4.3.3.ebuild b/dev-util/typescript-language-server/typescript-language-server-4.3.3.ebuild
new file mode 100644
index 0000000000..b3f5e4173b
--- /dev/null
+++ b/dev-util/typescript-language-server/typescript-language-server-4.3.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="TypeScript & JavaScript Language Server"
+HOMEPAGE="https://www.npmjs.com/package/typescript-language-server"
+SRC_URI="mirror://npm/${PN}/-/${P}.tgz"
+S="${WORKDIR}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=net-libs/nodejs-18.19.15
+"
+BDEPEND="
+ >=net-libs/nodejs-18.19.15[npm]
+ >=dev-lang/typescript-5.3.3
+"
+
+src_unpack() {
+ : # npm uses the archive directly
+}
+
+src_install() {
+ npm \
+ --offline \
+ --verbose \
+ --progress false \
+ --foreground-scripts \
+ --global \
+ --prefix "${ED}"/usr \
+ --cache "${T}"/npm-cache \
+ install "${DISTDIR}"/${P}.tgz || die "npm install failed"
+
+ cd "${ED}"/usr/$(get_libdir)/node_modules/${PN} || die "cd failed"
+ einstalldocs
+}
next reply other threads:[~2024-02-11 17:50 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-11 17:50 David Roman [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-02-11 17:50 [gentoo-commits] repo/proj/guru:master commit in: dev-util/typescript-language-server/ David Roman
2023-11-16 10:05 David Roman
2023-11-16 10:05 David Roman
2023-03-31 10:16 Florian Schmaus
2023-03-31 10:16 Florian Schmaus
2023-02-23 9:24 Viorel Munteanu
2023-02-23 9:24 Viorel Munteanu
2023-02-08 12:09 Florian Schmaus
2023-02-08 12:09 Florian Schmaus
2023-01-29 10:53 Haelwenn Monnier
2023-01-29 10:40 Viorel Munteanu
2023-01-29 10:40 Viorel Munteanu
2023-01-12 10:38 Florian Schmaus
2023-01-12 10:38 Florian Schmaus
2022-12-29 11:33 Florian Schmaus
2022-12-29 11:33 Florian Schmaus
2022-12-16 16:39 Florian Schmaus
2022-12-16 16:39 Florian Schmaus
2022-09-30 2:12 Haelwenn Monnier
2022-09-30 2:12 Haelwenn Monnier
2022-09-13 10:53 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1707586576.85de38e817b1aa94d5fd4590d87ea27f8f73bdeb.davidroman@gentoo \
--to=davidroman96@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox